For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create an axerve gateway

How to create an axerve gateway via API

To create a new axerve gateway, send a POST request to the /api/axerve_gateways endpoint, passing the resource arguments in the request body.

Request

POST https://yourdomain.commercelayer.io/api/axerve_gateways

Arguments

Body Parameter
Type
Required

type

string

Required

attributes.name

string

Required

attributes.force_payments

boolean

Optional, default is 'false'

attributes.idempotency_window_mins

integer

Optional, default is one hour (60 minutes)

attributes._disable

boolean

Optional

attributes._enable

boolean

Optional

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

attributes.login

string

Required

attributes.api_key

string

Required

relationships.axerve_payments

array

Optional

Example

The following request creates a new axerve gateway:

On success, the API responds with a 201 Created status code, returning the created resource object:

Last updated